'==============================================================================
' Kugelspriale.bas
'==============================================================================

' Spirale auf einer Kugeloberflaeche mit Radius 1, 
' theta von - pi/2 bis + pi/2, 
' phi von 0 bis n * 2 * pi

#INCLUDE "Inc\3D-GRAPH.BAS"

DIM AS DOUBLE x, y, z, r, theta, phi, dtheta, dphi
DIM AS INTEGER n = 10, i, key

SCREEN 12
WINDOW (-1.5, -1.5) - (1.5, 1.5)

dphi = 2 * pi / 100
dtheta = pi / (n * 100) 
PSET (0, -1)

FOR i = 0 TO 100 * n
  phi = i * dphi
  theta = -pi/2 + i * dtheta
  z = SIN(theta)
  r = SQR(1 - z^2)
  x = r * COS(phi)
  y = r * SIN(phi)
  Projektion(x, y, z, 20, x, z)
  LINE -(x, z), 14
NEXT i
  
GETKEY

  
