#INCLUDE "Inc\3D-GRAPH.bas"

DECLARE FUNCTION fkt1(x AS DOUBLE, y AS DOUBLE) AS DOUBLE
DECLARE FUNCTION fkt2(r As DOUBLE, phi As DOUBLE) AS DOUBLE

SCREEN 18, 32
COLOR RGB0, RGB15
CLS 0
WINDOWTITLE "Plot von 2 * SIN(r) * COS(phi)"

WINDOW (-12, -7) - (12, 7)

'Funktion in kartesichen Koordinaten:
Koordinaten3D(-2 * pi, 2 * pi, -2 * pi, 2 * pi, -2, 2, -30, 10, "x", "y", "z")
PlotFktxy(@fkt1, -2 * pi, 2 * pi, -2 * pi, 2 * pi, -30, 10)
GETKEY

CLS 0
'Funktion in Zylinderkoordinaten:
Koordinaten3D(-2 * pi, 2 * pi, -2 * pi, 2 * pi, -2, 2, -30, 10, "x", "y", "z")
PlotFktrphi(@fkt2, 2 * pi, -2, 2, -30, 10)
GETKEY


FUNCTION fkt1(x AS DOUBLE, y AS DOUBLE) AS DOUBLE
  DIM AS DOUBLE r, phi
  r = SQR(x^2 + y^2)
  phi = ATAN2(y, x)
' ATAN2 kann zwischen -pi und + pi liegen. Korrektur fuer -pi < phi < 0:
  IF phi < 0 THEN phi = 2 * pi + phi
  fkt1 = 2 * SIN(r) * COS(phi)
END FUNCTION


FUNCTION fkt2(r As DOUBLE, phi As DOUBLE) AS DOUBLE
  fkt2 = 2 * SIN(r) * COS(phi)
END FUNCTION
